关于spring cloud中Feign导入jar失败问题

文章 未结 0 1.2k
无法显示用户头像
作者:ECode1024官方,责任编辑:ECode1024官方 5 钻石
发布于 2019-07-11
SpringCloud的feign组件可以提供分布式系统架构中微服务的声明式调用,简化了微服务之间的调用。网上很多人在使用的SpringCloud的feign组件时在pom.xml中填写的是: [pre] <dependency>        <groupId>org.springframework.cloud</groupId>        <artifactId>spring-cloud-starter-feign</artifactId>  </dependency> [/pre] 但是在我个人的使用过程中没能成功,像上面填好后一直报错,说没有指定版本,后来我有百度看是怎么回事: [pre] <dependency>        <groupId>org.springframework.cloud</groupId>        <artifactId>spring-cloud-starter-feign</artifactId>        <version>1.3.1.RELEASE</version>  </dependency> [/pre] 变成这个有版本号的了,以为成功了,准备写@FeignClient发现没有这个标签,这下把我玩够了,又在百度上找问题所在。 有的说是可能没有下载完成导致的需要重新导入,搞了好久都没有解决。最后我尝试了最笨的方法,修改版本号看行不行,结果行了,把我玩够了。下面这个在pom.xml 中导入就么有问题。 [pre] <dependency>        <groupId>org.springframework.cloud</groupId>        <artifactId>spring-cloud-starter-feign</artifactId>        <version>1.4.1.RELEASE</version>  </dependency> [/pre] 经过自己在学习中发现用一下的方式也能够完美导入feign: [pre] <dependency>   <groupId>org.springframework.cloud</groupId>   <artifactId>spring-cloud-starter-openfeign</artifactId> </dependency> [/pre] 可能是因为feign的版本更新太快导致的吧。

声明:本文所有观点仅代表创作者本人,ECode1024系信息收集发布平台,ECode1024仅提供信息存储以及展示服务。若有侵权,请联系我们删除。
回复
  • 暂无任何回复,抢个沙发吧~~
推荐阅读
layui

微信扫码关注 ECode1024 公众号带给你更多优质内容